Du bist nicht angemeldet.

#1 16.12.2019 13:15:21

nolde50
Mitglied

virtualbox-host-dkms

In der Version 6.1.0-1 funktioniert die Virtualbox nicht mehr. Das Modul vboxpci fehlt leider. Musste auf 6.0.14-4 zurück.

Offline

#2 16.12.2019 13:33:56

JeeB4Loh
Gast

Re: virtualbox-host-dkms

nolde50 schrieb:

In der Version 6.1.0-1 funktioniert die Virtualbox nicht mehr. Das Modul vboxpci fehlt leider. Musste auf 6.0.14-4 zurück.

Ja, und? Erstelle einen Bugreport und frage den Paketbetreuer, warum er das Modul entfernt hat:

diff --git a/trunk/vboxreload b/trunk/vboxreload
index 04b6e7b9e38..d21aa627fc4 100755
--- a/trunk/vboxreload
+++ b/trunk/vboxreload
@@ -20,7 +20,7 @@
 
 (( UID > 0 )) && { echo 'You must be root' >&2; exit 1; }
 
-modules=(vboxnetadp vboxnetflt vboxpci vboxdrv)
+modules=(vboxnetadp vboxnetflt vboxdrv)

Ich kann hier erstmal keine Funktionseinschränkungen feststellen.

#3 16.12.2019 14:22:28

nolde50
Mitglied

Re: virtualbox-host-dkms

Ich verwende die Oracle VM VirtualBox und "geht nicht" halte ich doch für eine Funktionseinschränkung.

Offline

#4 16.12.2019 14:33:26

schard
Moderator

Re: virtualbox-host-dkms

1) Ein Paketname ist keine aussagekräftige Themenüberschrift.
2) "Geht nicht" ist keine hinreichende Fehlerbeschreibung. Wenn du Hilfe möchtest, poste relevante Logs und Programmausgaben.
3) Wie bereits von einem Gast erwähnt ist hier nicht der richtige Ort für Bugreports, sollte es dir nur darum gehen.

Also, solltest du Hilfe wollen, gib bitte dein pacman.log an, dmesg, das systemd.journal des relevanten Boots sowie etwaige Fehlerausgaben von VirtualBox.

Offline

#5 16.12.2019 15:10:37

nolde50
Mitglied

Re: virtualbox-host-dkms

Ich bin neu in diesem Forum und kennen mich deshalb mit den Gepflogenheiten noch nicht aus.
Eigentlich wollte ich nur darauf hinweisen, dass in einem Paket ein Modul nicht mehr vorhanden ist das vorher da war und deshalb ein Programm nicht mehr funktioniert.
Ich entschuldige mich natürlich in aller Form, dass ich dieses Forum falsch benutzt habe. Wird nicht mehr passieren.

Offline

#6 16.12.2019 22:39:16

nudelholz
Gast

Re: virtualbox-host-dkms

Wieso nimmst du nicht einfach das Paket virtualbox-host-modules-arch anstatt virtualbox-host-dkms?
Bei mir läuft virtualbox 6.1.0-2.

#7 16.12.2019 23:06:38

JeeB4Loh
Gast

Re: virtualbox-host-dkms

Weil (1) bei DKMS das Kernelmodul bei der Installation eines (a) Kernels oder (b) der VirtualBox neu kompiliert wird und damit immer genau zur Umgebung passt, und es (2) sowieso keinen Unterschied macht, weil vboxpci auch in virtualbox-host-modules-arch nicht mehr enthalten ist.

Schnellantwort auf dieses Thema

Schreibe deinen Beitrag und versende ihn
Deine Antwort

Fußzeile des Forums